#
# spec file for package python-django-mediasync
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-django-mediasync
Version:        2.2.0
Release:        lp150.1.3
Url:            http://github.com/sunlightlabs/django-mediasync/
Summary:        Django static media development and distribution tools
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/d/django-mediasync/django-mediasync-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-boto
Requires:       python-django
Requires:       python-slimmer
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
One of the more significant development roadblocks we have relates to local vs. 
deployed media. Ideally all media (graphics, css, scripts) development would 
occur locally and not use production media. Then, when ready to deploy, the 
media should be pushed to production. That way there can be significant changes 
to media without disturbing the production web site.

The goal of mediasync is to develop locally and then flip a switch in production 
that makes all the media URLs point to remote media URLs instead of the local 
media directory.

%prep
%setup -q -n django-mediasync-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -r %{buildroot}%{python_sitelib}/mediasync/tests # Don't install tests

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Apr  4 2012 saschpe@suse.de
- Use upstream tarball
- Set SPDX-style license (BSD-3-Clause)
- Don't install testsuite
- Add LICENSE and README.rst to documentation
* Fri Jul  8 2011 alexandre@exatati.com.br
- Update to 2.2.0;
  * added pre_sync and post_sync signals
  * provide basic receiver for calling collectstatic before syncing
  * provide receiver for compiling SASS before syncing
  * show media directory listing when serving locally in debug mode
  * add processor for Google's Closure Compiler API for JavaScript
  * template tags can now take a variable as the path argument
- Regenerate spec file with py2pack.
* Fri Mar  4 2011 alexandre@exatati.com.br
- Update to 2.1.0:
  - default to using STATIC_URL and STATIC_ROOT (Django 1.3),
    falling back to MEDIA_URL and MEDIA_ROOT if the STATIC_*
    settings are not set
  - add AWS_GZIP setting to optionally disable gzip compression in
    S3 client
  - Thanks to Rob Hudson and Dolan Antenucci for their
    contributions to this release.
* Thu Jan 20 2011 alexandre@exatati.com.br
- Update to 2.0.0;
- Spec file cleaned with spec-cleaner;
- Bzip2 source file.
* Wed Mar 17 2010 alexandre@exatati.com.br
- Update to 1.0.1.
* Mon Oct 26 2009 alexandre@exatati.com.br
- Initial package (0.1) for openSUSE.
